<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Lady Hel</Series>
  <Number>3</Number>
  <Web>https://www.amazon.com/dp/B0B6GQJWRB</Web>
  <Summary>After her confrontation with Lady Demon, Hel has a clearer picture of how she lost control of the underworld, and realizes the only way to regain her power is to return to her realm in secrecy by using one of the hidden paths that ancient mortals once used to find their way to the other side. The only problem is that there are more obstacles on the road to the underworld than there used to be, and they're all deadly. Can Hel make it back to the underworld in one piece, or might the personification of death actually be destroyed in the attempt?</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0B6GQJWRB]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Action/Adventure</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
